Bug 406194 - KDE Connect reply window
Summary: KDE Connect reply window
Status: RESOLVED FIXED
Alias: None
Product: kdeconnect
Classification: Applications
Component: plasmoid (show other bugs)
Version: unspecified
Platform: Other Linux
: NOR normal
Target Milestone: ---
Assignee: Albert Vaca
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-04-03 18:26 UTC by clivejo
Modified: 2021-03-21 02:38 UTC (History)
3 users (show)

See Also:
Latest Commit:
Version Fixed In: 21.04


Attachments
Multiple reply windows (29.72 KB, image/png)
2019-04-03 18:48 UTC, clivejo
Details

Note You need to log in before you can comment on or make changes to this bug.
Description clivejo 2019-04-03 18:26:54 UTC
When I receive a message (ie via WhatsApp etc) and click on reply, the window seems to always pop up BEHIND other windows on my desktop.  It also produces multiple windows apparently at random, sometimes it's 2, others it's 5 or 6! 


STEPS TO REPRODUCE
1. Receive a message via WhatsApp on my device
2. Click on Reply button on the notification popup on Plasma Desktop 


OBSERVED RESULT
One or more windows pop up behind the currently open windows on desktop.


EXPECTED RESULT
One window should pop up in the foreground, with the focus on it so I can type my reply.

SOFTWARE/OS VERSIONS
Linux/KDE Plasma: Solus Linux v5.0.5
(available in About System)
KDE Plasma Version: 5.15.3
KDE Frameworks Version: 5.56.0
Qt Version: 5.12.2

ADDITIONAL INFORMATION
Git master build of KDE Connect running on Desktop and v1.12.6 on Lineage 16
Comment 1 clivejo 2019-04-03 18:48:48 UTC
Created attachment 119232 [details]
Multiple reply windows
Comment 2 Nicolas Fella 2021-03-19 00:10:48 UTC
Should be fixed by https://invent.kde.org/network/kdeconnect-kde/-/merge_requests/375
Comment 3 Nate Graham 2021-03-21 02:38:32 UTC
Fixed by Bharadwaj Raju with https://invent.kde.org/network/kdeconnect-kde/-/commit/a45bfe36d59f4448d4d63947ae22009c41991695 in KDE Connect 21.04!